#
# spec file for package cogl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} == 1315
%define build_wayland_backend 0
%else
%define build_wayland_backend 1
%endif
%define with_GLES2 1

Name:           cogl
Version:        1.22.2
Release:        3.17
Summary:        An object oriented GL/GLES Abstraction/Utility Layer
License:        MIT
Group:          System/Libraries
Url:            http://clutter-project.org/
Source0:        http://download.gnome.org/sources/cogl/1.22/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM 0001-fix-build-failure-with-Werror-undef.patch bgo#770533 fezhang@suse.com -- Fix build failure for SLE.
Patch0:         0001-fix-build-failure-with-Werror-undef.patch
BuildRequires:  fdupes
BuildRequires:  gtk-doc >= 1.13
BuildRequires:  pkgconfig(cairo) >= 1.10
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.0
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-controller-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(pangocairo) >= 1.20
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite) >= 0.4
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes) >= 3
BuildRequires:  pkgconfig(xrandr) >= 1.2
%if %{build_wayland_backend}
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(xkbcommon)
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

%package -n libcogl20
Summary:        An object oriented GL/GLES Abstraction/Utility Layer
Group:          System/Libraries
Requires:       Mesa
Recommends:     %{name}-lang = %{version}
# To make the lang package installable
Provides:       %{name} = %{version}

%description  -n libcogl20
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

%if %{with_GLES2}
%package -n libcogl-gles2-20
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- OpenGL ES 2
Group:          System/Libraries

%description -n libcogl-gles2-20
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures
%endif

%package -n typelib-1_0-Cogl-1_0
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Cogl-1_0
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the GObject Introspection bindings for Cogl.

%package -n typelib-1_0-Cogl-2_0
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Cogl-2_0
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the GObject Introspection bindings for Cogl.

%package -n typelib-1_0-CoglGst-2_0
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-CoglGst-2_0
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the GObject Introspection bindings for CoglGst.

%package -n libcogl-pango20
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Pango Integration
Group:          System/Libraries

%description  -n libcogl-pango20
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

%package -n typelib-1_0-CoglPango-1_0
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Pango Integration, Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-CoglPango-1_0
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the GObject Introspection bindings for the Pango
integration in Cogl.

%package -n typelib-1_0-CoglPango-2_0
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Pango Integration, Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-CoglPango-2_0
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the GObject Introspection bindings for the Pango
integration in Cogl.

%package -n gstreamer-plugins-cogl
Summary:        Gstreamer cogl plugins
Group:          System/Libraries
Supplements:    packageand(libcogl20:gstreamer)

%description -n gstreamer-plugins-cogl
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

This package provides the Gstreamer plugings for Cogl.

%package devel
Summary:        An object oriented GL/GLES Abstraction/Utility Layer -- Development Files
Group:          Development/Libraries/GNOME
# cogl-defines.h includes GL/gl.h
Requires:       Mesa-devel
%if %{with_GLES2}
Requires:       libcogl-gles2-20 = %{version}
%endif
Requires:       gstreamer-plugins-cogl = %{version}
Requires:       libcogl-pango20 = %{version}
Requires:       libcogl20 = %{version}
Requires:       typelib-1_0-Cogl-1_0 = %{version}
Requires:       typelib-1_0-Cogl-2_0 = %{version}
Requires:       typelib-1_0-CoglGst-2_0 = %{version}
Requires:       typelib-1_0-CoglPango-1_0 = %{version}
Requires:       typelib-1_0-CoglPango-2_0 = %{version}

%description  devel
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%configure \
        --disable-static \
        --with-pic \
        --enable-gtk-doc \
        --enable-cogl-gst \
%if %{build_wayland_backend}
         --enable-kms-egl-platform \
         --enable-wayland-egl-platform \
         --enable-wayland-egl-server \
%endif
%if %{with_GLES2}
        --enable-gles2 --enable-cogl-gles2 \
%endif
        %{nil}

make V=1 # %{?_smp_mflags} disabled, as it randomly fails for now

%install
%make_install
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_libdir}/gstreamer-1.0/*.la

%find_lang cogl
%fdupes %{buildroot}%{_libdir}/pkgconfig/
%fdupes -s %{buildroot}%{_datadir}/gtk-doc/html
%fdupes -s %{buildroot}%{_includedir}/cogl/cogl/

%post -n libcogl20 -p /sbin/ldconfig

%postun -n libcogl20 -p /sbin/ldconfig

%if %{with_GLES2}
%post -n libcogl-gles2-20 -p /sbin/ldconfig

%postun -n libcogl-gles2-20 -p /sbin/ldconfig
%endif

%post -n libcogl-pango20 -p /sbin/ldconfig

%postun -n libcogl-pango20 -p /sbin/ldconfig

%files -n libcogl20
%defattr(-,root,root)
%doc COPYING NEWS README ChangeLog
%{_libdir}/libcogl.so.*
%{_libdir}/libcogl-path.so.*
%{_libdir}/libcogl-gst.so.*

%files -n gstreamer-plugins-cogl
%defattr(-,root,root)
%{_libdir}/gstreamer-1.0/*.so

%if %{with_GLES2}
%files -n libcogl-gles2-20
%defattr(-,root,root)
%{_libdir}/libcogl-gles2.so.*
%endif

%files -n typelib-1_0-Cogl-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Cogl-1.0.typelib

%files -n typelib-1_0-Cogl-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Cogl-2.0.typelib

%files -n typelib-1_0-CoglGst-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/CoglGst-2.0.typelib

%files -n libcogl-pango20
%defattr(-,root,root)
%doc COPYING NEWS README ChangeLog
%{_libdir}/libcogl-pango.so.*

%files -n typelib-1_0-CoglPango-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/CoglPango-1.0.typelib

%files -n typelib-1_0-CoglPango-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/CoglPango-2.0.typelib

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/cogl/
%dir %{_datadir}/cogl/
%{_datadir}/cogl/examples-data/
%{_libdir}/pkgconfig/cogl-1.0.pc
%{_libdir}/pkgconfig/cogl-2.0-experimental.pc
%if %{with_GLES2}
%{_libdir}/pkgconfig/cogl-gles2-1.0.pc
%{_libdir}/pkgconfig/cogl-gles2-2.0-experimental.pc
%endif
%{_libdir}/pkgconfig/cogl-gl-1.0.pc
%{_libdir}/pkgconfig/cogl-gst-1.0.pc
%{_libdir}/pkgconfig/cogl-gst-2.0-experimental.pc
%{_libdir}/pkgconfig/cogl-pango-1.0.pc
%{_libdir}/pkgconfig/cogl-pango-2.0-experimental.pc
%{_libdir}/pkgconfig/cogl-path-1.0.pc
%{_libdir}/pkgconfig/cogl-path-2.0-experimental.pc
%{_datadir}/gir-1.0/*.gir
%doc %{_datadir}/gtk-doc/html/cogl/
%doc %{_datadir}/gtk-doc/html/cogl-gst/
%doc %{_datadir}/gtk-doc/html/cogl-2.0-experimental/

%files lang -f cogl.lang

%changelog
* Mon Aug 29 2016 fezhang@suse.com
- Add 0001-fix-build-failure-with-Werror-undef.patch:
  Fix build failure for SLE (bgo#770533).
* Fri Aug 26 2016 zaitor@opensuse.org
- Update to version 1.22.2:
  + Skip journal dumping if not supported (bgo#728355).
  + Support glMapBufferRange from ES3 (bgo#728355).
  + Improvements in the KMS winsys (bgo#756926, bgo#758073).
  + Require gettext 0.19 to avoid hacks (bgo#760285).
  + Respect the Wayland spec for EGL surface creation (bgo#765351).
  + Updated translations.
- Drop cogl-GLES-Support-glMapBufferRange.patch and
  cogl-fix-black-login-screen.patch: Fixed upstream.
* Wed Apr 13 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
* Wed Dec 23 2015 zaitor@opensuse.org
- Add cogl-fix-black-login-screen.patch: Fix black and frozen
  login screen after logout when using gdm in wayland mode and
  session in x11 mode (boo#958885, bgo#758112, bgo#756926).
* Fri Oct 23 2015 zaitor@opensuse.org
- Pass --enable-cogl-gst to configure, we have clutter-gst-3.0,
  shame on us, this should have been done for Leap too.
- Add new BuildRequires needed from above change:
  - pkgconfig(gstreamer-audio-1.0)
  - pkgconfig(gstreamer-base-1.0)
  - pkgconfig(gstreamer-controller-1.0)
  - pkgconfig(gstreamer-plugins-base-1.0)
  - pkgconfig(gstreamer-tag-1.0)
  - pkgconfig(gstreamer-video-1.0)
- Package new sub-packages typelib-1_0-CoglGst-2_0 and
  gstreamer-plugins-cogl due to above change. Add Supplements:
  packageand(libcogl20:gstreamer) for gstreamer-plugins-cogl.
- Flip enable gles2 define to 1, build gles2 support.
- Add cogl-GLES-Support-glMapBufferRange.patch: ES3 provides
  glMapBufferRange as core, with the added bonus that it also
  supports read mappings. Use this where possible.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 1.22.0:
  + Improvements in handling errors in the KMS winsys (bgo#754540).
  + Fix crashers in Wayland and GLX winsys (bgo#754667,
    bgo#754888).
* Fri Aug 21 2015 zaitor@opensuse.org
- Update to version 1.21.2:
  + Add X11-specific API for retrieving the renderer's visual.
  + Improvement to the MSVC build.
  + Support KMS drivers without page flip.
  + Do not use deprecated OpenGL API with the GL3 driver.
  + Updated translations.
* Tue Feb 24 2015 dimstar@opensuse.org
- Update to version 1.20.0:
  + Support for "quad buffer" based stereo rendering.
  + Support for Mir window system.
  + A number of updates for the Wayland support.
  + Improved vblank sync when using glXWaitForMSC.
* Fri Dec 12 2014 fcrozat@suse.com
- Disable wayland backend on SLE12.
* Thu Jul 10 2014 dimstar@opensuse.org
- Update to version 1.18.2:
  + MSVC updates.
  + KMS improvements for use by GNOME Shell.
  + EGL backend improvement to avoid creating a dummy surface if
    driver supports EGL_KHR_surfacless_context extension.
  + cogl-x11-tfp example fixes.
  + Bugs fixed: bgo#728064, bgo#728628, bgo#728978, bgo#728979,
    bgo#730536.
* Fri Apr  4 2014 dimstar@opensuse.org
- Build wayland backend: switch build_wayland_backend to 1.
- Pass --enable-kms-egl-platform and --enable-wayland-egl-server to
  configure.
- Add pkgconfig(gbm) BuildRequires: missing dependency.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 1.18.0:
  + The license has been changed to the MIT license.
  + GObject introspection support has been greatly improved.
  + Add cogl_kms_renderer_set_kms_fd to make the KMS backend use a
    non-default GPU.
  + Fix a hang in the Wayland backend if it can't find some globals
    that it needs.
  + Add cogl_gst_video_sink_get_natural_size to query a suggested
    size for a Cogl-GST sink.
  + Add API to query the EGL and GLX contexts. This is intended to
    be used to make a shared GL context.
  + Fix advertising the deprecated buffer age feature flag on EGL.
  + Add a new non-deprecated feature flag for the buffer age.
  + Fix a bug with allocating textures in Cogl-GST.
  + Fix a bug with the cogl-basic-video-player example where it
    would try to use non-existant mipmaps.
  + Fix selecting the GL driver in the SDL2 winsys.
  + Updates to the MSVC build files.
  + Bugs fixed: Get the opengl context from cogl (bgo#724992).
- Add new typelib-1_0-Cogl-2_0 and typelib-1_0-CoglPango-2_0
  subpackages.
* Thu Feb 20 2014 zaitor@opensuse.org
- Update to version 1.17.4:
  + Cogl-gst now ensures that sampled video fragments are always
    pre-multiplied with the alpha component.
  + Cogl-gst now has NV12 format support.
  + The cogl-basic-video-player example can now be passed an
    custom gstreamer pipeline description, as long as it contains
    a coglsink element.
  + The -experimental-2.0 pkg-config files now all depend on
    cogl-2.0-experimental instead of cogl-1.0.
  + Bugs fixed: bgo#712832, bgo#719741, bgo#722765, bgo#723530.
- Rename shared library subpackages, following upstreams soname
  bumps (also update names in baselibs.conf):
  + libcogl19 to libcogl20.
  + libcogl-gles2-19 to libcogl-gles2-20.
  + libcogl-pango15 to libcogl-pango20.
- Add 2 more "locations" to fdupes.
* Wed Jan 22 2014 dimstar@opensuse.org
- Update to version 1.17.2:
  + Textures are now allocated lazily. This means the textures can
    optionally be configured with extra API before data is uploaded
    to them.
  + The internal format for textures has been replaced with a
    simpler property to just set the number of components that will
    be required when sampling.
  + Depth writing can now be disabled per-framebuffer as well as on
    the CoglPipeline.
  + The interface typedefs such as CoglTexture, CoglFramebuffer and
    CoglBitmap etc are now defined as void so that it is no longer
    necessary to use type-cast macros when passing them to
    interface methods.
  + YV12/I420 support in cogl-gst is fixed.
  + Added support for red-green 2-component textures.
  + The cache of GLSL shaders is now garbage collected when it gets
    too large.
  + cogl_framebuffer_push_path_clip is fixed.
  + cogl-path is now split out into a separate library.
  + New function cogl_wayland_texture_set_region_from_shm_buffer to
    update a texture from a Wayland SHM bufffer.
  + The pkg-config files for cogl-gst and cogl-gles2 have new more
    consistent names.
  + Bugs fixed: bgo#706808, bgo#709827, bgo#710135, bgo#710926,
    bgo#712562, bgo#712830, bgo#719546, bgo#719582, bgo#720287,
    bgo#721450.
- Rename shared library subpackages, following upstreams soname
  bumps:
  + libcogl15 to libcogl19.
  + libcogl-gles2-15 to libcogl-gles2-19.
  + libcogl-pango15 to libcogl-pango19.
- Drop cogl-bgo709827-per-framebuffer-depth-writing-api.patch:
  fixed upstream.
* Wed Jan 22 2014 hpj@suse.com
- Add cogl-bgo709827-per-framebuffer-depth-writing-api.patch, which
  adds API to optionally disable depth buffer writing on a
  per-framebuffer basis. This allows for faster rendering when
  the depth buffer is not needed.
* Mon Jan 20 2014 dimstar@opensuse.org
- Update to version 1.16.2:
  + YV12/I420 support in cogl-gst is fixed.
  + cogl_framebuffer_push_path_clip is fixed.
  + MSVC build updates.
  + Bugs fixed:
  - bgo#706808: "Unable to locate required kms libraries" message
    is really uninformative.
  - bgo#710135: Fix build on big endian.
  - bgo#710926: Build fails without declaration of wl_resource.
  - bgo#719582: cogl-framebuffer: Don't mark the clear clip dirty
    from the journal.
  - bgo#721450: Re-enable swap_region for mesa 10.1+
    llvmpipe / swrast.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 1.16.0:
  + MSVC build updates.
  + Correctly mark CoglAtlasTexture api as public.
  + Lots of gtk-doc/introspection annotation fixes.
  + Bugs fixed: bgo#704750.
* Mon Sep  2 2013 zaitor@opensuse.org
- Update to version 1.15.10:
  + Added API to set the onscreen template on a CoglDisplay outside
    of the constructor.
  + Added public API to configure the layout of displays when using
    the KMS winsys.
  + Added a cogl_point_coord builtin variable for snippets which
    can be used to render point sprites in more dynamic ways.
  + cogl_texture_new_with_size now returns NULL on failure. This
    behaviour was accidentally changed in 1.14.0.
  + Fixed a problem with setting the precision specifiers on GLES2
    which was causing a lot of problems with the latest Mesa.
  + Added a “webgl” driver to manage the differences in GLES2 when
    compiling with emscripten.
  + Fixed a bug with paths which was causing Clutter's texture-fbo
    test to crash.
  + Some issues with introspecting the cogl-pango API were fixed.
  + Added an example using point sprites.
  + Build fixes for building with MinGW32.
  + Updates to the MSVC build files.
  + Documentation fixes to the snippets API.
  + Bugs fixed: bgo#705837.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 1.15.8:
  + fix a problem with including cogl-path.h from cogl.h that
    meant only code defining COGL_ENABLE_EXPERIMENTAL_2_0_API would
    get access to the CoglPath API.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 1.15.6:
  + Fixed runtime selection of egl-kms backend.
  + Split out the CoglPath api in-line with cogl master to reduce
    divergence, but updated to not break the 1.x API/ABI.
  + Reverted the semantic change to cogl_offscreen_new_to_texture
    to make it synchronously allocate as it did in cogl-1.14.
  + Fixed a problem with binding attribute locations with desktop
    GL drivers, required to work with the latest Mesa.
  + Some configure.ac documentation fixes.
  + In cogl-gst we make sure to only emit the "pipeline-ready"
    signal once the new textures have actually been uploaded.
  + Various MSVC build fixes.
  + Bugs fixed: bgo#703500, bgo#703174, bgo#705836, bgo#705591.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 1.15.4:
  + Added experimental API to directly expose atlas textures.
  + Added new_from_file/data/bitmap APIs for sliced textures.
  + Added new_from_file APIs for 2D textures.
  + Added cogl_primitive_draw as a new name for the
    cogl_framebuffer_draw_primitive function.
  + Removed the attribute drawing APIs.
  + Fixed bug where Cogl would busy-wait with 100%% CPU if the
    Wayland compositor is closed.
  + The COGL_FRAME_EVENT_SYNC events are now sent based on the
    frame callback with the Wayland backend.
  + New cogl_gst_video_sink_is_ready() function to determine
    whether a Cogl-GST video sink is ready to have the pipeline
    queried.
  + Fixed a potential bug with the blending enabled state when
    copying a pipeline.
  + Fixed detecting the Mesa vendor when GL 3 is used.
  + Fixed a reference leak on the CoglRenderer.
  + Fixes to the Visual Studio build files.
- Rename library package from *14 to *15, followin upstreams
  soname changes (also in baselibs.conf).
* Thu Jul 11 2013 dimstar@opensuse.org
- Update to version 1.15.2:
  + Lots of Wayland backend work, including updated compositor
    support.
  + Updated cogland, a simple example wayland compositor using
    Cogl.
  + Made the onscreen resize callback work the same as the frame
    callback.
  + New cogl_onscreen_swap_buffers_with_damage api.
  + New fence API.
  + New Emscripten support (only basic at the moment).
  + Improved blend state tracking.
  + New cogl_onscreen_add_dirty_callback() api for window systems
    that need to notify application of dirty/damaged regions that
    must be redrawn by the application.
  + Started adding internal unit tests to complement the
    conformance tests.
  + New support for per-vertex point sizes.
  + New cogl-gst sub-library added enabling gstreamer integration
    into Cogl based applications.
  + Adds HSL color conversion apis.
  + The Conformance test suite can now be installed with a .test
    file enabling them to be run by the
    gnome-desktop-testing-runner for example.
  + Bugs fixed: bgo#691752, bgo#696730, bgo#697330, bgo#699431,
    bgo#700088, bgo#702570, bgo#702942, bgo#702999, bgo#703553.
- Rename subpackages according to SLPP, following upstreams soname
  change:
  + libcogl12 to libcogl14.
  + libcogl-pango12 to libcogl-pango14.
  + libcogl-gles2-12 to libcogl-gles2-14 (if building with GLESv2).
* Fri Mar 29 2013 zaitor@opensuse.org
- Add build_wayland_backend define and set it to 0, as we do not
  want to build wayland support yet. Pass conditional
  - -enable-wayland-egl-platform to configure.
- Add conditional pkgconfig(wayland-client, wayland-cursor,
  wayland-egl and xkbcommon) BuildRequires. New dependencies needed
  when --enable-wayland-egl-platform is used.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 1.14.0:
  + New snippet hook location for adding global definitions that
    can be shared amongst other snippets.
  + Fixed some cases where it's not possible to reference the
    builtin cogl_sampler* uniforms from a snippet.
  + Fixes for building on Visual Studio.
  + Fixed a problem with the workaround for the viewport bug in
    Mesa which could leave a broken scissor when switching between
    different sized framebuffers.
  + Fix some cases where the depth buffer wouldn't get cleared in
    cogl_framebuffer_clear*.
  + Fix for leaking pipelines and textures when a pipeline is
    copied but all of its layer properties are replaced.
  + Fix for interleaving snippets with different hook points.
  + The Cogland example Wayland compositor has been updated to the
    Wayland 1.0 API.
  + Bugs fixed: bgo#686770, bgo#694537, bgo#694657.
* Tue Feb 26 2013 dimstar@opensuse.org
- Update to version 1.13.4:
  + New CoglOutput API to query information about displays.
  + New API for querying frame timing information in a frame
    callback.
  + New API for querying the buffer age of an onscreen framebuffer.
  + Fixed building the GLES2 driver without the GL driver.
  + Fixed X errors when Cogl is used after an onscreen is
    destroyed.
  + Fixed API used by Clutter-GST to query the number of texture
    units.
  + Fixed the soname for the libcogl-pango2 library
  + Fixed building with MinGW32
  + Bugs fixed: bgo#669122, bgo#692420, bgo#693360, bgo#693612,
    bgo#693696, bgo#693894, bgo#694164.
- Changes from version 1.13.2:
  + Adds support for texture based depth buffers.
  + Lots of internal re-working to enable non-GL based drivers.
  + Added a stub, NOP driver that can be useful for profiling.
  + cogl_texture_rectangle_new_from_foreign() make public.
  + cogl_debug_matrix_print() debug api added.
  + Added support for building Cogl without a Glib dependency.
  + Unified a lot of gles 2.0 and gl driver support.
  + Added OpenGL 3.1 core profile support.
  + Lots of gtk-doc annotation fixes.
  + cogl_buffer_map_range() api added.
  + Improved SDL 2 support.
  + Added cogl_sdl_onscreen_get_window() api.
  + Much improved out-of-memory error reporting.
  + Added support for constant attributes.
  + Lots of internal work to avoid referencing a global context.
  + Added a new CoglMatrixStack api.
  + Enabled lazy texture storage allocation..
  + Added cogl_texture_allocate() for optional explicit allocation.
  + Add cogl_texture_set_data() convenience api.
  + Various fixes for handling sliced texture.
  + Added cogl_framebuffer_get_depth_bits() api.
  + Bugs fixed: bgo#685915, bgo#690891, bgo#691945.
- Add pkgconfig(xrandr) BuildRequires: new dependency.
- Rename libcogl11 to libcogl12, libcogl-pango0 to libcogl-pango12,
  and libcogl-gles2-11 to libcogl-gles2-12 following upstreams
  soname bump.
* Mon Feb  4 2013 dimstar@opensuse.org
- Introduce with_GLES2 defines to easily enable / disable GLES2
  support. For now set to 0 and thus disabling the support, as
  otherwise clutter-gst causes issues with missing shaders.
  If with_GLES2 is set to true, we:
  + pass --enable-gles2 and --enable-cogl-gles2 to configure.
  + Package the resulting library in libcogl-gles2-11.
* Sat Jan  5 2013 zaitor@opensuse.org
- Update to version 1.12.2:
  + Lots of MSVC build updates
  + Fix GL_ARB_shader_objects terminator mitigating potential crash
  + Fix to only allow CoglGLES2 context creation with GLES2 driver
  + Use right context when pushing a CoglGLES2 context to an
    onscreen
  + Port to new Wayland 1.0 protocol
  + Don't set SDL_GL_DOUBLEBUFFER when the swap chain has no pref
  + Bugs fixed: bgo#682071, bgo#684917, bgo#689850.
  + Updated translations.
* Mon Sep 24 2012 dimstar@opensuse.org
- Update to version 1.12.0:
  + MSVC build updates to fix building with SDL support
    (bgo#682071)
  + Updated translations.
- Changes from version 1.11.6:
  + Support latest libgbm api
  + Improve error handling for cogl_texture_2d_new_from_foreign
  + Avoid referencing contexts internally so Android
  + More work to reduce our dependence on a global context
    internally.
  + Recognize the latest Mesa GL vendor strings and the "Software
    Rasterizer" renderer string.
  + Improved cogl-gles2 support by not depending on drivers
    allowing multiple vertex shaders in one program which isn't
    actually meant to be supported in GLES 2.0 anyway.
  + Bugs fixed: bgo#683414, bgo#683818, bgo#683083.
* Mon Sep  3 2012 dimstar@opensuse.org
- Update to version 1.11.4:
  + Fix the pkg-config requires for cogl-gles2
  + Fix where we install cogl-gles2 headers
  + Updates for the MSVC build
  + Fix texture sub-region uploads when we don't have
    GL_EXT_unpack_subimage
  + Update the KMS winsys backend to the latest libgbm api
  + Fix a leak of primitive indices
  + Add a UProf profiling timer around journal discard code
  + Enable UProf profiling support to test-journal
  + Bugs fixed: bgo#682340.
- Add pkgconfig(glesv2) BuildRequires: new dependency for
  cogl-gles2.
- Create new sub-package libcogl-gles2-11 (also baselibs.conf)
- Pass --enable-gles2 --enable-cogl-gles2 to configure, to enable
  GLESv2 support.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.11.2:
  + Add cogl_framebuffer_{fill,stroke}_path APIs consistent with
    other Cogl drawing APIs that replace cogl_path_fill/stroke().
  + Switch from using glib types such as guint32/guint16/guint8 to
    using equivalent stdint.h types.
  + Add a micro-benchmark for the journal
  + Optimize the matrix stack so we can take immutable references
    of a matrix stack for logging into the journal more efficiently
    than having to copy large matrices for each journaled rectangle
  + Add COGL_VERSION_{MAJOR,MINOR,MICRO} macros and
    COGL_VERSION_CHECK macros for applications to test what version
    of Cogl they are compiled against.
  + Allow creation of non power of two (npot) CoglTexture2D
    textures with only basic npot support, not including repeating
    or mipmap support.
  + Enable use of the GL_STREAM_DRAW buffer update hint on GLES 2.0
  + Fix building Cogl with --disable-gl
  + Add support for the WebOS version of SDL which supports access
    to GLES 1.1 and GLES 2.0
  + Add cogl_matrix_init_translation to provide a more efficient
    way to initialize a matrix representing a translation without
    need to multiply matrices.
  + Various documentation fixes for CoglQuaternion and CoglEular
  + Updates for the MSVC build
  + Add GPU architecture detection capabilities so we can
    differentiate drivers based on the hardware vendor, and the
    actual architecture of the GPU, such as deferred vs immediate
    mode.
  + Fix framebuffer initialization to ensure swaps are throttled by
    default.
  + Fix flushing of the depth state for some cases.
  + Ported test-atlas-migration to be a standalone Cogl test
  + Add GLES 2.0 API integration support so that existing GLES 2.0
    based code can easily be integrated within Cogl based
    applications. For example this is being used by webkit-clutter
    to add WebGL support.
  + Add an optional libcogl-gles2 sub-library that provides a full
    GLES 2.0 api api to really lower the barrier as much as possible
    for being able to integrate existing GLES 2.0 based code into
    Cogl applications.
  + Add a Cogl GLES 2.0 Gears example application to test the GLES
    2.0 integration support.
  + Fix a bug with disabling of Cogl's debugging features
  + Add api to directly convert a Eular to a Quaternion.
  + Improve the wireframe debug option to work when a vertex shader
    is  in use.
  + Add support for SDL2 which supports GLES 2.0
  + Support the original GLSL extensions which had some different
    function names.
  + Avoid using eglGetProcAddress for core symbols which isn't
    allowed by the EGL spec and causes problems on Android.
  + Add cogl_android_bitmap_new_from_asset() API to load images
    from Android assets.
  + Add support for resizable onscreen framebuffers.
  + Avoid implicitly including the EGL headers when including
    cogl.h
  + Add cogl.conf and environment variables to allow disabling the
    use of specific GL extensions; for example if the
    implementation is known to be buggy on a given system.
  + Bugs fixed: bgo#660617, bgo#672533, bgo#673137, bgo#674208,
    bgo#675119, bgo#677078, bgo#678316, bgo#680124, bgo#681285
- Rename libcogl9 to libcogl11, following upstreams soname bump.
* Tue Jul 17 2012 dimstar@opensuse.org
- Update to version 1.10.4:
  + Fix using GL_STREAM_DRAW as the buffer hint on GLES2.
  + Fix disabling debugging. Previously configuring with
  - -disable-debug was not disabling much of the debugging code.
  + Fixed a bug when using COGL_DEBUG=wireframes
  + Added a workaround for the slow glReadPixels implementation in
    Mesa versions < 8.0.2
  + Fixed a bug in cogl_pipeline_remove_layer
  + Fixed a bug when using point sprites coordinates on GLES2
  + Fixed a bug when uploading transposed matrix uniforms on GLES2
  + Bugs fixed: bgo#674208, bgo#677078.
- Drop cogl-1.8.2-lp-no-framebuffer-blit.patch: A variation of this
  has been merged upstream.
* Wed May 30 2012 fcrozat@suse.com
- Add cogl-1.8.2-lp-no-framebuffer-blit.patch: Disable the
  subbuffer blit code when running on llvmpipe until it's unbroken.
  (Fedora)
* Fri Apr 20 2012 vuntz@opensuse.org
- Update to version 1.10.2:
  + Fix for fallback path in cogl_texture_get_data when reading
    from an FBO doesn't work.
  + Bug fix to make cogl_pipeline_get_depth_state work.
  + The cogl-crate and cogl-msaa examples now show error messages
    if it fails to initialise.
  + cogl_context_new no longer crashes if initialisation fails when
    passed a NULL display.
  + Visual Studio build fixes.
  + Bugs fixed: bgo#672533, bgo#673137.
  + Updated translations.
* Tue Mar 20 2012 dimstar@opensuse.org
- Update to version 1.10.0:
  + Add cogl_framebuffer_draw_[*_]rectangle functions.
  + Fixed flushing the point size with the GL driver when using
    GLSL.
  + Added the missing cogl_is_onscreen and cogl_is_framebuffer
    functions.
  + Added cogl_quaternion_init_from_quaternion and
    cogl_quaternion_init_from_matrix to the public headers.
  + Make cogl_has_feature available when only
    COGL_ENABLE_EXPERIMENTAL_API is defined.
  + Add cogl_framebuffer_read_pixels.
  + Added a public cogl_bitmap_new_for_data function.
  + Visual Studio build fixes.
  + Bugs fixed: bgo#669122, bgo#671984, bgo#671985, bgo#672038,
    bgo#672174, bgo#672243.
  + Updated translations.
* Tue Mar  6 2012 vuntz@opensuse.org
- Update to version 1.9.8:
  + Various Visual Studio build fixes
  + Correctly check for GL_EXT_packed_depth_stencil and support
    using GL_OES_packed_depth_stencil on GLES2
  + Correctly handle pre-multiplied alpha conversions when reading
    back texture data.
  + Added cogl_renderer_{get,set}_driver functions so the
    underlying driver can be chosen programmatically.
  + Revamped the conformance testing framework so that it
    automatically runs every test against GLES2 as well as GL and
    also against all of the pipeline backends and with npot
    textures disabled.
  + Add a conformance test for reading back an RGBA texture as
    alpha-only
  + Added support for converting between all of Cogl's supported
    pixel formats including pre-multiplied alpha conversions.
  + Added conformance tests for converting to and from all of the
    supported formats.
  + Added a public cogl_framebuffer_read_pixels_into_bitmap()
    function which will effective read into a CoglPixelBuffer.
  + CoglPixelBuffer was changed to no longer have associated width,
    height and format information and instead we will rely on
    CoglBitmap to track that informations.
  + Added public cogl_bitmap_get_{width,height,format,rowstride}
    API
  + Added a public accessor for the underlying pixel buffer of a
    CoglBitmap.
  + Added various missing cast macros for some buffer objects.
  + Ported the Clutter based test-pixel-buffer test to be
    standalone.
  + Bugs fixed: bgo#666184, bgo#670793, bgo#671016.
- Rename libcogl8 to libcogl9, following upstream soversion change.
* Wed Feb 22 2012 vuntz@opensuse.org
- Update to version 1.9.6:
  + New conformance tests or tests ported from Clutter.
  + New public experimental functions.
  + Added cogl_kms_renderer_get_kms_fd to get the KMS file
    descriptor.
  + Bug fixed in the KMS support where it would crash on cleanup if
    it couldn't save the CRTC state.
  + Bug fixed in the Wayland compositor support where it would leak
    EGLImages when creating a texture from a buffer
  + The swap_buffer callback in GLX is now delayed until
    cogl_poll_dispatch is called so that apps can handle it more
    predictably.
  + Fixes for bugs with pipelines that are trying to use a layer
    with a NULL texture.
  + New cogl_framebuffer_* API for drawing directly to the
    framebuffer without having to push the framebuffer.
  + Most of the _EXP suffixes have been removed from the
    experimental API symbols in the hope that the gtk-doc unstable
    annotation will be enough to distinguish these.
  + Add a COGL_DEBUG=winsys option
  + CoglBuffer and CoglPrimitive now take an explicit CoglContext
    argument in their constructor.
  + Updates to the MSVC build support.
  + Add cogl_pipeline_set_layer_null_texture().
  + Fix some bugs where Cogl was assuming there is a direct mapping
    between the pipeline layer number and the GL texture unit
    number.
  + In snippets, there are now always builtin sampler uniforms for
    every layer of the pipeline.
  + The texture lookup snippet hook now gets passed the sampler for
    the unit.
  + Some public constants for CoglPixelFormat have been removed
    (COGL_UNPREMULT_MASK, COGL_UNORDERED_MASK and
    COGL_PIXEL_FORMAT_{24,32}).
  + 30-bit pixel formats added.
  + COGL_DEBUG=wireframes now correctly renders primitives using
    vertex shader snippets.
  + cogl_framebuffer_swap_buffers and friends have been renamed to
    cogl_onscreen_swap_buffers.
  + If the experimental 2.0 API is requested, as far as possible
    the headers for the 1.0 API are no longer included. Define
    COGL_ENABLE_EXPERIMENTAL_API instead if you want to mix both
    APIs.
  + Bugs fixed: bgo#660188, bgo#668385, bgo#668856, bgo#668913,
    bgo#669368, bgo#669785.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Rename libcogl7 to libcogl8, following upstream soversion change.
* Wed Jan 18 2012 vuntz@opensuse.org
- Add Mesa-devel Requires to devel subpackage as cogl-defines.h has
  an include for GL/gl.h.
* Tue Jan 17 2012 vuntz@opensuse.org
- Update to version 1.9.4:
  + Visual Studio 2008/2010 project files have landed.
  + A basic KMS (Kernel Mode Setting) backend was added so we can
    run fullscreen Cogl applications without X11 on Linux.
  + EGL platforms can now be selected at runtime.
  + cogl_matrix_orthographic() was added as a replacement for
    cogl_matrix_ortho() since the OpenGL style of arguments for
    cogl_matrix_ortho() wasn't consistent with the rest of the Cogl
    API.
  + Experimental cogl_framebuffer apis were added for manipulating
    the per-framebuffer modelview matrix stack.
  + Experimental cogl_framebuffer apis were added for manipulating
    the per-framebuffer clip stacks.
  + The internal _cogl_framebuffer_flush_state() function was
    optimized to do a better job of bailing out when no framebuffer
    state has changed, and when state has changed the cost should
    now scale by the number of changes made instead of scaling by
    the total range of framebuffer state that Cogl tracks.
  + Internally we finally removed _cogl_enable() which won't mean
    much to most people but makes the maintainers happy.
  + We added an experimental CoglSnippets api aiming to greatly
    simplify how developers can incorporate snippets of GLSL code
    into the pipeline.
  + We've updated Cogl's client side Wayland support
  + We've updated Cogl's compositor side Wayland support, including
    updating the example cogland compositor.
  + We added an SDL window system backend for Cogl, which provides
    a simple, portable way to play with Cogl as a standalone
    graphics API with basic support for input events available from
    SDL.
  + We added mainloop integration support to Cogl.
  + Bugs fixed: bgo#650020, bgo#665190, bgo#665604, bgo#665722,
    bgo#665723, bgo#667009.
- Rename libcogl6 to libcogl7, following upstream soversion change.
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib files into their own subpackages:
  typelib-1_0-Cogl-1_0 and typelib-1_0-CoglPango-1_0.
- Add typelib-1_0-Cogl-1_0 and typelib-1_0-CoglPango-1_0 Requires
  to devel subpackage.
* Tue Nov 22 2011 dimstar@opensuse.org
- Update to version 1.9.2:
  + Ported more conformance tests from Clutter to be standalone
    Cogl tests.
  + Adds experimental support for EXT_discard_framebuffer extension
    which is important for good performance on PowerVR graphics HW.
  + Adds experimental API to enable clipping to the silhouette of
    an arbitrary 2D CoglPrimitive.
  + Make the CoglTexture2DSliced API directly available as
    experimental API.
  + Various API Extensions and enhancements.
  + Ship a standalone cogl-xlib.h that must be included manually
    for any xlib specific api because the Xlib headers so many
    numerous badly namespaced symbols that it's not desireable to
    include them unless absolutely required.
  + Updated the Wayland support to work with the latest upstream
    interfaces.
  + Bugs fixed: bgo#656755, bgo#658700, bgo#660184, bgo#660387,
    bgo#660617, bgo#660986, bgo#661019, bgo#661174, bgo#662184,
    bgo#662542, bgo#663578, bgo#663628.
  + Updated translations.
- Rename libcogl5 to libcogl6, following upstream soversion change.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 1.8.2:
  + Fix a crash while generating ARBfp code with layers containing
    a NULL texture.
  + Improvements to the mingw-fetch-dependencies script to work
    without first needing to find a copy of config.guess.
  + Bugs fixed: bgo#660184, bgo#660387, bgo#660986.
  + Updated translations.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 1.8.0:
  + Started porting Cogl conformance tests from Clutter to be
    standalone Cogl tests including tests for depth-state and
    backface culling.
  + Added a new color mask conformance test
  + We no longer implicitly define COGL_ENABLE_EXPERIMENTAL_2_0_API
    in the cogl-2.0-experimental.pc file cflags because the way
    pkgconfig works makes it hard to then consume libraries
    depending on cogl-2.0-experimental.pc with Clutter.
  + Made progress re-factoring cogl-pipeline.c to be more
    maintainable by starting to split the code up into more
    manageable pieces.
  + We now bind the locale dir for the Cogl domain during init.
  + We now track backface culling state as part of CoglPipeline.
  + Bugs fixed: bgo#656442, bgo#658092, bgo#658333, bgo#658700,
    bgo#659029, bgo#659360.
- Rename libcogl2 to libcogl5, following upstream soversion change.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Sep  5 2011 vuntz@opensuse.org
- Update to version 1.7.8:
  + Getters for the display and renderer associated with context
  + Getter for the number of supported texture units during
    fragment processing.
  + Optimizations for the GLSL codegen for fragment processing so
    we can ignore redundant layers - if for example the "REPLACE"
    function is used for layer N then computing anything for
    previous layers is redundant. Also if texture combining needs
    to sample the same texture multiple times we now re-use the
    same sample instead of repeating it.
  + Optimize texture uploads to a texture atlas on GLES by avoiding
    lots of redundant format conversions.
  + Relax the requirement to need braces around blend factors when
    using the CoglBlendString syntax. Braces are only needed for
    factors involving a subtraction like "(1 - SRC_COLOR[A])"
  + Adds API for querying the format of a CoglFramebuffer
  + Bugs fixed: bgo#656426, bgo#656441, bgo#656587, bgo#657347,
    bgo#657840, bgo#656809.
* Mon Aug 15 2011 dimstar@opensuse.org
- Update to version 1.7.6:
  + Add an experimental cogl_matrix_look_at function
  + Fix flipping the y-coordinates for cogl_framebuffer_swap_region
  + Automatically allocate framebuffers on first use
  + Add experimental cogl_framebuffer_clear functions
  + Add a function to get the context given a framebuffer
  + Add support for a cogl.conf config file
  + Fix using TEXTURE_n as the source for a layer combine
  + Some fixes for the WGL backend
  + Add experimental API to upload a texture subregion from a
    CoglBuffer
  + Bugs fixed: bgo#655026, bgo#655216, bgo#655228, bgo#655355,
    bog#655400, bgo#655412, bgo#655510, bgo#655556, bgo#655723,
    bgo#655724, bgo#656303, bgo#655792, bgo#655791.
- Add xz BuildRequires to be able to decompress the tar.xz source.
* Wed Jul 27 2011 vuntz@opensuse.org
- Add Mesa Requires to libcogl2: since the GL library is
  dynamically loaded now, there is no automatic Requires for it.
  Mesa provides all the libraries that can be used, so it's the
  right explicit Requires to add.
- Add baselibs.conf.
* Wed Jul 20 2011 dimstar@opensuse.org
- Update to version 1.7.4:
  + Optimize pipeline unparent operation using embedded lists
    instead of using GList API.
  + Remove the old matrix operation code we had before pulling in
    the mesa based code.
  + Expose cogl_framebuffer_get_red/green/blue/alpha bits to query
    the precision for a framebuffer's color channels.
  + Numerous reference manual updates
  + Fix some memory leaks in CoglPipeline.
  + Fix some EGL winsys issues that weren't captured in bugzilla.
  + Switch to dynamically loading libGL, libGLESv2 or
    libGLES[v1]_CM at runtime so it's possible to distribute a
    libcogl that can choose to work with any of these at runtime.
  + Clean up lots of inconsistencies with platform specific APIs.
  + Remove cogl_set_default_context from experimental 2.0 api,
    since we are aiming to remove the default context for 2.0
  + Ensure the experimental 2.0 reference manual gets a unique
    DOC_MODULE name so that distro's trying to package cogl don't
    end up installing the 1.x and 2.0 manuals to the same location.
  + Add a program cache for the GLSL backend.
  + Adds dither_enable getter and setter API for CoglFramebuffer so
    that Clutter doesn't need to use the GL API directly when
    picking.
  + Use MESA_pack_invert extension in cogl_read_pixels to avoid
    needing to manually flip pixel data read in bottom-up order to
    a top-down order.
  + Fix the hello example to actually clear the framebuffer at the
    start of the frame instead of unintentionally relying on the
    driver to have cleared the framebuffer.
  + Bugs fixed: bgo#652514, bgo#654440, bgo#654718, bgo#654593.
- Rename libcogl1 to libcogl2, following to soname change.
* Sat Jul  2 2011 vuntz@opensuse.org
- Update to version 1.7.2:
  + Add an example program to draw a 3D crate
  + Add experimental API to get and set the viewport on a
    framebuffer without going through the implicit context.
  + Add API to select the winsys backend without having to use an
    environment variable.
  + Various documentation fixes.
  + Add winsys-specific typesafe APIs to replace the old
    cogl_renderer_handle_native_event functions.
  + Rename platform-specific APIs so that we consistently have
    cogl_<platform>_symbol_name instead of
    cogl_symbol_name_<platform>.
  + Fixed building against GLES.
  + Bugs fixed: bgo#652672, bgo#653615, bgo#653229, bgo#653231.
- Rename libcogl0 to libcogl1 after soversion bump.
* Wed Jun 15 2011 vuntz@opensuse.org
- New package (version 1.7.0). Cogl got split out of the clutter
  source code.
